1
Fork 0

remove files

This commit is contained in:
Jan-Erik Rediger 2024-06-01 17:38:00 +02:00
parent 96e8cb9000
commit 169ce78008
3 changed files with 0 additions and 171 deletions

View file

@ -1,60 +0,0 @@
set -xeuo pipefail
(exec bwrap \
--ro-bind \
/usr \
/usr \
--dir \
/tmp \
--dir \
/var \
--symlink \
../tmp \
/var/tmp \
--proc \
/proc \
--dev \
/dev \
--ro-bind \
/etc/resolv.conf \
/etc/resolv.conf \
--ro-bind \
/nix \
/nix \
--symlink \
usr/lib \
/lib \
--symlink \
usr/lib64 /lib64 \
--symlink \
usr/bin \
/bin \
--symlink \
usr/sbin \
/sbin \
--chdir \
/app \
--unshare-all \
--die-with-parent \
--clearenv \
--bind \
/run/user/1000/.tmpeQrbnA \
/app \
--dir \
/run/user/1000 \
--setenv \
HOME \
/run/user/1000/home \
--setenv \
XDG_RUNTIME_DIR \
/run/user/1000 \
--file \
11 \
/etc/passwd \
--file \
12 \
/etc/group \
/bin/bash \
) \
11< <(getent passwd $UID 65534) \
12< <(getent group $(id -g) 65534)

102
out.txt
View file

@ -1,102 +0,0 @@
ok: true
duration: 463
stdout:
Hello, world!
¡Hola Mundo!
Γειά σου Κόσμε!
Привіт, світ!
こんにちは世界!
stderr:
harec bytes
harec errors
harec linux
harec types::c
harec math
qbe rt
qbe types
qbe encoding::utf8
qbe sort::cmp
qbe format::elf
qbe endian
qbe types::c
as types
as sort::cmp
as format::elf
as encoding::utf8
as types::c
as endian
qbe errors
harec linux::vdso
qbe linux
as errors
harec io
harec strings
qbe bytes
as linux
as bytes
qbe linux::vdso
as linux::vdso
harec time
harec sort
qbe math
harec path
harec ascii
qbe strings
harec bufio
harec memio
qbe io
qbe sort
as strings
qbe time
qbe ascii
harec fs
qbe path
as sort
as io
as time
as rt
as math
as ascii
harec strconv
qbe memio
qbe bufio
as memio
as path
as bufio
harec os
harec unix
qbe fs
as fs
qbe strconv
harec unix::signal
qbe unix
as unix
harec fmt
qbe os
qbe unix::signal
as unix::signal
as os
as strconv
harec os::exec
harec encoding::hex
harec /app/main.ha
qbe fmt
as fmt
qbe /app/main.ha
as /app/main.ha
qbe encoding::hex
as encoding::hex
harec debug::image
qbe os::exec
as os::exec
harec debug::dwarf
qbe debug::image
as debug::image
harec debug
qbe debug::dwarf
as debug::dwarf
qbe debug
as debug
ld /app/main.ha

9
run.sh
View file

@ -1,9 +0,0 @@
#!/bin/bash
echo "first line"
echo "error 1" >&2
echo "second line"
echo "error 2" >&2
echo "third line"
exit 17